Bug 106306 - tcpdump bad source code
tcpdump bad source code
Status: CLOSED UPSTREAM
Product: Red Hat Linux
Classification: Retired
Component: tcpdump (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-05 05:22 EDT by d.binderman
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-06 04:55:54 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description d.binderman 2003-10-05 05:22:35 EDT
Description of problem:

Hello there,

I just tried to compile package tcpdump-3.7.2-1, from Redhat 9.0,
with compiler flag -Wall.

The compiler said

print-isoclns.c:1300: warning: operation on `tptr' may be undefined

The source code is

tptr+=*tptr++;

You probably meant to say

tptr += *tptr;
++tptr;

         




Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
    
Actual results:


Expected results:


Additional info:
Comment 1 Harald Hoyer 2003-10-06 04:55:54 EDT
please report this issue upstream to the developers of tcpdump
http://www.tcpdump.org

Note You need to log in before you can comment on or make changes to this bug.